Name:           spin
Version:        1.5
Release:        2%{?dist}
Summary:        A transparent threading solution for non-freezing Swing applications
License:        LGPLv2
Group:          Development/Tools
Url:            http://spin.sourceforge.net/
BuildArch:      noarch

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-all.zip
Patch0:         %{name}-pom_xml.patch

BuildRequires:  maven
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  dos2unix

BuildRequires:  cglib
BuildRequires:  objectweb-asm


Requires:       java
Requires:       jpackage-utils

Requires:       cglib
Requires:       objectweb-asm


%description
Spin is a small library that concentrates on offering a powerful solution
to build non-freezing Swing applications. Spin enforces good application
design by separating the GUI and non-visual components through interfaces.
If it is used wisely in an application framework, the GUI programmers will
never have to think about threads again.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the spin Java library.

%prep
%setup -q
# Compile against the correct version of cglib
%patch0 -p1

dos2unix license.txt

%build
# One of the tests tries to access the X display
mvn-rpmbuild install javadoc:aggregate -DskipTests

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}.jar
install -d -m 755 ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r target/site/apidocs ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}
%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%defattr(-,root,root,-)
%doc license.txt
%{_javadir}/*.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-2
- Remove clean section, install unversioned javadocs
- Fix line endings in license file

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-1
- Initial package
